Loading...
Searching...
No Matches
labrd: step in gebrd
LAPACK » Singular Value Decomposition (SVD) » SVD computational routines
Collaboration diagram for labrd: step in gebrd:

## Functions

subroutine | clabrd (m, n, nb, a, lda, d, e, tauq, taup, x, ldx, y, ldy)
| CLABRD reduces the first nb rows and columns of a general matrix to a bidiagonal form.
subroutine | dlabrd (m, n, nb, a, lda, d, e, tauq, taup, x, ldx, y, ldy)
| DLABRD reduces the first nb rows and columns of a general matrix to a bidiagonal form.
subroutine | slabrd (m, n, nb, a, lda, d, e, tauq, taup, x, ldx, y, ldy)
| SLABRD reduces the first nb rows and columns of a general matrix to a bidiagonal form.
subroutine | zlabrd (m, n, nb, a, lda, d, e, tauq, taup, x, ldx, y, ldy)
| ZLABRD reduces the first nb rows and columns of a general matrix to a bidiagonal form.

## Detailed Description